# monnify_flutter_sdk

Flutter plugin for Monnify SDK

[![pub package](https://img.shields.io/pub/v/monnify_flutter_sdk.svg)](https://pub.dartlang.org/packages/monnify_flutter_sdk)

## Getting Started
To use this plugin, add `monnify_flutter_sdk` as a [dependency in your pubspec.yaml file](https://flutter.io/platform-plugins/).

## How to use
This plugin exposes two APIs:

### 1. Initialize

Initialize the plugin. This should be done once, preferably in the `initState` of your widget.

``` dart
import 'package:monnify_flutter_sdk/monnify_flutter_sdk.dart';
import 'package:monnify_flutter_sdk/ApplicationMode.dart';
import 'package:monnify_flutter_sdk/Transaction.dart';
import 'package:monnify_flutter_sdk/TransactionResponse.dart';
import 'package:monnify_flutter_sdk/SubAccountDetails.dart';

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();
    MonnifyFlutterSdk.initialize(
              'YOUR_API_KEY', 
              'CONTRACTCODE', 
              ApplicationMode.TEST
    )
  }
}
```

### 2. Initialize Payment

Create an object of the Transaction class and pass it to the initializePayment function

``` dart
Future<void> initPayment() async {
    TransactionResponse transactionResponse =
          await MonnifyFlutterSdk.initializePayment(Transaction(
              2000,
              "NGN",
              "Customer Name",
              "mail.cus@tome.er",
              "PAYMENT_REF",
              "Description of payment",
              []
          )
    );
}
```

The TransactionResponse class contains the below fields

```dart
String paymentDate;
double amountPayable;
double amountPaid;
String paymentMethod;
String transactionStatus;
String transactionReference;
String paymentReference;
```

## Need more information?
For further info about Monnify's mobile SDKs, including transaction status types, 
see the documentations for the 
[Android](https://docs.teamapt.com/display/MON/Monnify+Android+SDK) and 
[iOS](https://docs.teamapt.com/display/MON/Monnify+iOS+SDK) SDKs