import 'package:monnify_flutter_sdk/SubAccountDetails.dart';

class Transaction {

  double amount;
  String currencyCode;
  String customerName;
  String customerEmail;
  String paymentReference;
  String paymentDescription;
  List<SubAccountDetails> incomeSplitConfig;

  Transaction(
      this.amount,
      this.currencyCode,
      this.customerName,
      this.customerEmail,
      this.paymentReference,
      this.paymentDescription,
      this.incomeSplitConfig);

  Transaction.fromMap(Map<String, dynamic> parsedJson)
      : amount = parsedJson['amount'],
        currencyCode = parsedJson['currencyCode'],
        customerName = parsedJson['customerName'],
        customerEmail = parsedJson['customerEmail'],
        paymentReference = parsedJson['paymentReference'],
        paymentDescription = parsedJson['paymentDescription'],
        incomeSplitConfig = parsedJson['incomeSplitConfig'];

  Map<String, dynamic> toMap() {

    var subAccountDetailsList = new List();

    for(final subAccountDetails in incomeSplitConfig) {
      subAccountDetailsList.add(subAccountDetails.toMap());
    }

    return {
      'amount': amount,
      'currencyCode': currencyCode,
      'customerName': customerName,
      'customerEmail': customerEmail,
      'paymentReference': paymentReference,
      'paymentDescription': paymentDescription,
      'incomeSplitConfig': subAccountDetailsList,
    };
  }

}
